Upstream information

CVE-2016-4428 at MITRE

Description

Cross-site scripting (XSS) vulnerability in OpenStack Dashboard (Horizon) 8.0.1 and earlier and 9.0.0 through 9.0.1 allows remote authenticated users to inject arbitrary web script or HTML by injecting an AngularJS template in a dashboard form.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 3.5 6
Vector AV:N/AC:M/Au:S/C:N/I:P/A:N AV:N/AC:M/Au:S/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication Single Single
Confidentiality Impact None Partial
Integrity Impact Partial Partial
Availability Impact None Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.4
Vector AV:N/AC:L/PR:L/UI:R/S:C/C:L/I:L/A:N
Access Vector Network
Access Complexity Low
Privileges Required Low
User Interaction Required
Scope Changed
Confidentiality Impact Low
Integrity Impact Low
Availability Impact None
SUSE Bugzilla entry: 983807 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE OpenStack Cloud 6
  • openstack-ceilometer >= 5.0.4~a0~dev6-6.1
  • openstack-ceilometer-agent-central >= 5.0.4~a0~dev6-6.1
  • openstack-ceilometer-agent-compute >= 5.0.4~a0~dev6-6.1
  • openstack-ceilometer-agent-ipmi >= 5.0.4~a0~dev6-6.1
  • openstack-ceilometer-agent-notification >= 5.0.4~a0~dev6-6.1
  • openstack-ceilometer-alarm-evaluator >= 5.0.4~a0~dev6-6.1
  • openstack-ceilometer-alarm-notifier >= 5.0.4~a0~dev6-6.1
  • openstack-ceilometer-api >= 5.0.4~a0~dev6-6.1
  • openstack-ceilometer-collector >= 5.0.4~a0~dev6-6.1
  • openstack-ceilometer-doc >= 5.0.4~a0~dev6-6.2
  • openstack-ceilometer-polling >= 5.0.4~a0~dev6-6.1
  • openstack-cinder >= 7.0.3~a0~dev2-7.1
  • openstack-cinder-api >= 7.0.3~a0~dev2-7.1
  • openstack-cinder-backup >= 7.0.3~a0~dev2-7.1
  • openstack-cinder-doc >= 7.0.3~a0~dev2-7.1
  • openstack-cinder-scheduler >= 7.0.3~a0~dev2-7.1
  • openstack-cinder-volume >= 7.0.3~a0~dev2-7.1
  • openstack-dashboard >= 8.0.2~a0~dev34-8.1
  • openstack-glance >= 11.0.2~a0~dev13-7.1
  • openstack-glance-doc >= 11.0.2~a0~dev13-7.1
  • openstack-heat >= 5.0.2~a0~dev93-9.1
  • openstack-heat-api >= 5.0.2~a0~dev93-9.1
  • openstack-heat-api-cfn >= 5.0.2~a0~dev93-9.1
  • openstack-heat-api-cloudwatch >= 5.0.2~a0~dev93-9.1
  • openstack-heat-doc >= 5.0.2~a0~dev93-9.3
  • openstack-heat-engine >= 5.0.2~a0~dev93-9.1
  • openstack-heat-plugin-heat_docker >= 5.0.2~a0~dev93-9.1
  • openstack-keystone >= 8.1.1~a0~dev13-3.1
  • openstack-keystone-doc >= 8.1.1~a0~dev13-3.2
  • openstack-manila >= 1.0.2~a0~dev11-9.1
  • openstack-manila-api >= 1.0.2~a0~dev11-9.1
  • openstack-manila-doc >= 1.0.2~a0~dev11-9.2
  • openstack-manila-scheduler >= 1.0.2~a0~dev11-9.1
  • openstack-manila-share >= 1.0.2~a0~dev11-9.1
  • openstack-neutron >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-dhcp-agent >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-doc >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-fwaas >= 7.1.2~a0~dev1-6.1
  • openstack-neutron-fwaas-doc >= 7.1.2~a0~dev1-6.1
  • openstack-neutron-ha-tool >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-l3-agent >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-lbaas >= 7.1.2~a0~dev1-6.1
  • openstack-neutron-lbaas-agent >= 7.1.2~a0~dev1-6.1
  • openstack-neutron-lbaas-doc >= 7.1.2~a0~dev1-6.1
  • openstack-neutron-linuxbridge-agent >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-metadata-agent >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-metering-agent >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-mlnx-agent >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-nvsd-agent >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-openvswitch-agent >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-restproxy-agent >= 7.1.2~a0~dev29-10.1
  • openstack-neutron-server >= 7.1.2~a0~dev29-10.1
  • openstack-nova >= 12.0.5~a0~dev2-7.1
  • openstack-nova-api >= 12.0.5~a0~dev2-7.1
  • openstack-nova-cells >= 12.0.5~a0~dev2-7.1
  • openstack-nova-cert >= 12.0.5~a0~dev2-7.1
  • openstack-nova-compute >= 12.0.5~a0~dev2-7.1
  • openstack-nova-conductor >= 12.0.5~a0~dev2-7.1
  • openstack-nova-console >= 12.0.5~a0~dev2-7.1
  • openstack-nova-consoleauth >= 12.0.5~a0~dev2-7.1
  • openstack-nova-doc >= 12.0.5~a0~dev2-7.1
  • openstack-nova-novncproxy >= 12.0.5~a0~dev2-7.1
  • openstack-nova-objectstore >= 12.0.5~a0~dev2-7.1
  • openstack-nova-scheduler >= 12.0.5~a0~dev2-7.1
  • openstack-nova-serialproxy >= 12.0.5~a0~dev2-7.1
  • openstack-nova-vncproxy >= 12.0.5~a0~dev2-7.1
  • openstack-resource-agents >= 1.0+git.1467079370.4f2c49d-7.1
  • python-ceilometer >= 5.0.4~a0~dev6-6.1
  • python-cinder >= 7.0.3~a0~dev2-7.1
  • python-glance >= 11.0.2~a0~dev13-7.1
  • python-heat >= 5.0.2~a0~dev93-9.1
  • python-horizon >= 8.0.2~a0~dev34-8.1
  • python-keystone >= 8.1.1~a0~dev13-3.1
  • python-manila >= 1.0.2~a0~dev11-9.1
  • python-networking-cisco >= 2.1.1-6.1
  • python-neutron >= 7.1.2~a0~dev29-10.1
  • python-neutron-fwaas >= 7.1.2~a0~dev1-6.1
  • python-neutron-lbaas >= 7.1.2~a0~dev1-6.1
  • python-nova >= 12.0.5~a0~dev2-7.1
  • python-openstackclient >= 1.7.2-4.1
Patchnames:
SUSE-OpenStack-Cloud-6-2016-1261


Status of this issue by product and package

Product(s) Source package State
SUSE Cloud 5 openstack-dashboard Unsupported
SUSE Openstack Cloud 6 openstack-dashboard Released